#!/bin/env python
# vim:fileencoding=iso-8859-1:ft=python
#
# Drumset demo
import hdaps, pygame, threading, signal, sys

# Load sound
pygame.mixer.init()
hat = pygame.mixer.Sound("Sound/hat.wav")
kick = pygame.mixer.Sound("Sound/kick.wav")
snare = pygame.mixer.Sound("Sound/snare.wav")

# Play hi-hat timed
speed = 1 / (input("BPM: ") / 60)

quit = False
def hiHat():
	hat.play()
	if not quit:
		threading.Timer(speed, hiHat).start()
hiHat()

# On quit
def _quit(s, i):
	global quit
	quit = True
	sys.exit(0)
signal.signal(2, _quit)

# Drum class
class drums(hdaps.Smack):
	def hit_left(self):
		kick.play()
	def hit_right(self):
		snare.play()
	pass

myDrums = drums()
myDrums.loop()

